/*
 * Copyright (c) 2016-2022 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */

export const elements: { name: string; symbol: string; number: number; electronegativity: number }[] = [
  {
    name: 'A really really really really really really really really really long content in the cell',
    symbol: 'Ac',
    number: 89,
    electronegativity: 1.1,
  },
  { name: 'Actinium', symbol: 'Ac', number: 89, electronegativity: 1.1 },
  { name: 'Aluminum', symbol: 'Al', number: 13, electronegativity: 1.61 },
  { name: 'Americium', symbol: 'Am', number: 95, electronegativity: 1.3 },
  { name: 'Antimony', symbol: 'Sb', number: 51, electronegativity: 2.05 },
  { name: 'Argon', symbol: 'Ar', number: 18, electronegativity: 0 },
  { name: 'Arsenic', symbol: 'As', number: 33, electronegativity: 2.18 },
  { name: 'Astatine', symbol: 'At', number: 85, electronegativity: 2.2 },
  { name: 'Barium', symbol: 'Ba', number: 56, electronegativity: 0.89 },
  { name: 'Berkelium', symbol: 'Bk', number: 97, electronegativity: 1.3 },
  { name: 'Beryllium', symbol: 'Be', number: 4, electronegativity: 1.57 },
  { name: 'Bismuth', symbol: 'Bi', number: 83, electronegativity: 2.02 },
  { name: 'Bohrium', symbol: 'Bh', number: 107, electronegativity: 0 },
  { name: 'Boron', symbol: 'B', number: 5, electronegativity: 2.04 },
  { name: 'Bromine', symbol: 'Br', number: 35, electronegativity: 2.96 },
  { name: 'Cadmium', symbol: 'Cd', number: 48, electronegativity: 1.69 },
  { name: 'Calcium', symbol: 'Ca', number: 20, electronegativity: 1 },
  { name: 'Californium', symbol: 'Cf', number: 98, electronegativity: 1.3 },
  { name: 'Carbon', symbol: 'C', number: 6, electronegativity: 2.55 },
  { name: 'Cerium', symbol: 'Ce', number: 58, electronegativity: 1.12 },
  { name: 'Cesium', symbol: 'Cs', number: 55, electronegativity: 0.79 },
  { name: 'Chlorine', symbol: 'Cl', number: 17, electronegativity: 3.16 },
  { name: 'Chromium', symbol: 'Cr', number: 24, electronegativity: 1.66 },
  { name: 'Cobalt', symbol: 'Co', number: 27, electronegativity: 1.88 },
  { name: 'Copper', symbol: 'Cu', number: 29, electronegativity: 1.9 },
  { name: 'Curium', symbol: 'Cm', number: 96, electronegativity: 1.3 },
  { name: 'Darmstadtium', symbol: 'Ds', number: 110, electronegativity: 0 },
  { name: 'Dubnium', symbol: 'Db', number: 105, electronegativity: 0 },
  { name: 'Dysprosium', symbol: 'Dy', number: 66, electronegativity: 1.22 },
  { name: 'Einsteinium', symbol: 'Es', number: 99, electronegativity: 1.3 },
  { name: 'Erbium', symbol: 'Er', number: 68, electronegativity: 1.24 },
  { name: 'Europium', symbol: 'Eu', number: 63, electronegativity: 0 },
  { name: 'Fermium', symbol: 'Fm', number: 100, electronegativity: 1.3 },
  { name: 'Fluorine', symbol: 'F', number: 9, electronegativity: 3.98 },
  { name: 'Francium', symbol: 'Fr', number: 87, electronegativity: 0.7 },
  { name: 'Gadolinium', symbol: 'Gd', number: 64, electronegativity: 1.2 },
  { name: 'Gallium', symbol: 'Ga', number: 31, electronegativity: 1.81 },
  { name: 'Germanium', symbol: 'Ge', number: 32, electronegativity: 2.01 },
  { name: 'Gold', symbol: 'Au', number: 79, electronegativity: 2.54 },
  { name: 'Hafnium', symbol: 'Hf', number: 72, electronegativity: 1.3 },
  { name: 'Hassium', symbol: 'Hs', number: 108, electronegativity: 0 },
  { name: 'Helium', symbol: 'He', number: 2, electronegativity: 0 },
  { name: 'Holmium', symbol: 'Ho', number: 67, electronegativity: 1.23 },
  { name: 'Hydrogen', symbol: 'H', number: 1, electronegativity: 2.2 },
  { name: 'Indium', symbol: 'In', number: 49, electronegativity: 1.78 },
  { name: 'Iodine', symbol: 'I', number: 53, electronegativity: 2.66 },
  { name: 'Iridium', symbol: 'Ir', number: 77, electronegativity: 2.2 },
  { name: 'Iron', symbol: 'Fe', number: 26, electronegativity: 1.83 },
  { name: 'Krypton', symbol: 'Kr', number: 36, electronegativity: 3 },
  { name: 'Lanthanum', symbol: 'La', number: 57, electronegativity: 1.1 },
  { name: 'Lawrencium', symbol: 'Lr', number: 103, electronegativity: 0 },
  { name: 'Lead', symbol: 'Pb', number: 82, electronegativity: 2.33 },
  { name: 'Lithium', symbol: 'Li', number: 3, electronegativity: 0.98 },
  { name: 'Lutetium', symbol: 'Lu', number: 71, electronegativity: 1.27 },
  { name: 'Magnesium', symbol: 'Mg', number: 12, electronegativity: 1.31 },
  { name: 'Manganese', symbol: 'Mn', number: 25, electronegativity: 1.55 },
  { name: 'Meitnerium', symbol: 'Mt', number: 109, electronegativity: 0 },
  { name: 'Mendelevium', symbol: 'Md', number: 101, electronegativity: 1.3 },
  { name: 'Mercury', symbol: 'Hg', number: 80, electronegativity: 2 },
  { name: 'Molybdenum', symbol: 'Mo', number: 42, electronegativity: 2.16 },
  { name: 'Neodymium', symbol: 'Nd', number: 60, electronegativity: 1.14 },
  { name: 'Neon', symbol: 'Ne', number: 10, electronegativity: 0 },
  { name: 'Neptunium', symbol: 'Np', number: 93, electronegativity: 1.36 },
  { name: 'Nickel', symbol: 'Ni', number: 28, electronegativity: 1.91 },
  { name: 'Niobium', symbol: 'Nb', number: 41, electronegativity: 1.6 },
  { name: 'Nitrogen', symbol: 'N', number: 7, electronegativity: 3.04 },
  { name: 'Nobelium', symbol: 'No', number: 102, electronegativity: 1.3 },
  { name: 'Oganesson', symbol: 'Uuo', number: 118, electronegativity: 0 },
  { name: 'Osmium', symbol: 'Os', number: 76, electronegativity: 2.2 },
  { name: 'Oxygen', symbol: 'O', number: 8, electronegativity: 3.44 },
  { name: 'Palladium', symbol: 'Pd', number: 46, electronegativity: 2.2 },
  { name: 'Phosphorus', symbol: 'P', number: 15, electronegativity: 2.19 },
  { name: 'Platinum', symbol: 'Pt', number: 78, electronegativity: 2.28 },
  { name: 'Plutonium', symbol: 'Pu', number: 94, electronegativity: 1.28 },
  { name: 'Polonium', symbol: 'Po', number: 84, electronegativity: 2 },
  { name: 'Potassium', symbol: 'K', number: 19, electronegativity: 0.82 },
  { name: 'Praseodymium', symbol: 'Pr', number: 59, electronegativity: 1.13 },
  { name: 'Promethium', symbol: 'Pm', number: 61, electronegativity: 0 },
  { name: 'Protactinium', symbol: 'Pa', number: 91, electronegativity: 1.5 },
  { name: 'Radium', symbol: 'Ra', number: 88, electronegativity: 0.9 },
  { name: 'Radon', symbol: 'Rn', number: 86, electronegativity: 0 },
  { name: 'Rhenium', symbol: 'Re', number: 75, electronegativity: 1.9 },
  { name: 'Rhodium', symbol: 'Rh', number: 45, electronegativity: 2.28 },
  { name: 'Roentgenium', symbol: 'Rg', number: 111, electronegativity: 0 },
  { name: 'Rubidium', symbol: 'Rb', number: 37, electronegativity: 0.82 },
  { name: 'Ruthenium', symbol: 'Ru', number: 44, electronegativity: 2.2 },
  { name: 'Rutherfordium', symbol: 'Rf', number: 104, electronegativity: 0 },
  { name: 'Samarium', symbol: 'Sm', number: 62, electronegativity: 1.17 },
  { name: 'Scandium', symbol: 'Sc', number: 21, electronegativity: 1.36 },
  { name: 'Seaborgium', symbol: 'Sg', number: 106, electronegativity: 0 },
  { name: 'Selenium', symbol: 'Se', number: 34, electronegativity: 2.55 },
  { name: 'Silicon', symbol: 'Si', number: 14, electronegativity: 1.9 },
  { name: 'Silver', symbol: 'Ag', number: 47, electronegativity: 1.93 },
  { name: 'Sodium', symbol: 'Na', number: 11, electronegativity: 0.93 },
  { name: 'Strontium', symbol: 'Sr', number: 38, electronegativity: 0.95 },
  { name: 'Sulfur', symbol: 'S', number: 16, electronegativity: 2.58 },
  { name: 'Tantalum', symbol: 'Ta', number: 73, electronegativity: 1.5 },
  { name: 'Technetium', symbol: 'Tc', number: 43, electronegativity: 1.9 },
  { name: 'Tellurium', symbol: 'Te', number: 52, electronegativity: 2.1 },
  { name: 'Terbium', symbol: 'Tb', number: 65, electronegativity: 0 },
  { name: 'Thallium', symbol: 'Tl', number: 81, electronegativity: 1.62 },
  { name: 'Thorium', symbol: 'Th', number: 90, electronegativity: 1.3 },
  { name: 'Thulium', symbol: 'Tm', number: 69, electronegativity: 1.25 },
  { name: 'Tin', symbol: 'Sn', number: 50, electronegativity: 1.96 },
  { name: 'Titanium', symbol: 'Ti', number: 22, electronegativity: 1.54 },
  { name: 'Tungsten', symbol: 'W', number: 74, electronegativity: 2.36 },
  { name: 'Ununbium', symbol: 'Uub', number: 112, electronegativity: 0 },
  { name: 'Ununhexium', symbol: 'Uuh', number: 116, electronegativity: 0 },
  { name: 'Ununpentium', symbol: 'Uup', number: 115, electronegativity: 0 },
  { name: 'Ununquadium', symbol: 'Uuq', number: 114, electronegativity: 0 },
  { name: 'Ununseptium', symbol: 'Uus', number: 117, electronegativity: 0 },
  { name: 'Ununtrium', symbol: 'Uut', number: 113, electronegativity: 0 },
  { name: 'Uranium', symbol: 'U', number: 92, electronegativity: 1.38 },
  { name: 'Vanadium', symbol: 'V', number: 23, electronegativity: 1.63 },
  { name: 'Xenon', symbol: 'Xe', number: 54, electronegativity: 2.6 },
  { name: 'Ytterbium', symbol: 'Yb', number: 70, electronegativity: 0 },
  { name: 'Yttrium', symbol: 'Y', number: 39, electronegativity: 1.22 },
  { name: 'Zinc', symbol: 'Zn', number: 30, electronegativity: 1.65 },
  { name: 'Zirconium', symbol: 'Zr', number: 40, electronegativity: 1.33 },
];
